Bug 1445083 - After adding Google Compute Engine throwing "[NoMethodError]: undefined method `empty?' for nil:NilClass" in evm.log
Summary: After adding Google Compute Engine throwing "[NoMethodError]: undefined metho...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Marcel Hild
QA Contact: Satyajit Bulage
URL:
Whiteboard: proviers:gce
Depends On: 1442690
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-24 21:43 UTC by Satoe Imaishi
Modified: 2017-05-31 14:59 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1442690
Environment:
Last Closed: 2017-05-31 14:59:35 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-24 21:46:09 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/b10da52879b5824e598242a35706d33baed78890

commit b10da52879b5824e598242a35706d33baed78890
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Mon Apr 24 14:38:35 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 17:43:41 2017 -0400

    Merge pull request #14856 from durandom/google_pubsub
    
    Google pubsub - undefined method `empty?' for nil:NilClass
    (cherry picked from commit 7edd38f086833e8cc360acd2e92e169bf082089f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445083

 .../manageiq/providers/google/cloud_manager/event_catcher/stream.rb    | 3 +++
 1 file changed, 3 insertions(+)

Comment 3 Satyajit Bulage 2017-04-26 17:08:24 UTC
Able to add provider without any error in evm.log

Verified Version:  5.8.0.12-rc1.20170425180304_4f35996

Comment 5 errata-xmlrpc 2017-05-31 14:59:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.